Subject: Re: bug#26302: [website] translations

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Thu, 31 Oct 2019 21:19:31 +0100

On Tue, Oct 22, 2019 at 02:10:59PM +0200, Ludovic Courtès wrote:
> Sorry that it’s taken this long, but I’m happy to say that the
> ‘wip-i18n’ branch of the manual is now visible at:
> 
>   https://guix.gnu.org/.i18n/de/
>   https://guix.gnu.org/.i18n/en/
> 

I have finally rebased wip-i18n, so these URLs display properly now.
I would like to squash some of my further commits there though.

On Tue, Oct 22, 2019 at 02:28:40PM +0200, pelzflorian (Florian Pelz) wrote:
> On Tue, Oct 22, 2019 at 02:10:59PM +0200, Ludovic Courtès wrote:
> > We’ll need the nginx magic to honor ‘Accept-Language’ and such; I think
> > you submitted something that I may have overlooked, don’t hesitate to
> > refresh my mind.  :-)
> >
> > Anyway, we have a good starting point, and perhaps we’ll be able to
> > switch quickly; what else do we need?
> > 
> > 
> 
> 
> I would be happy if you could review my Guix patches at
> 
> https://lists.gnu.org/archive/html/bug-guix/2019-10/msg00068.html
> 
> After that I also sent maintenance patches, but redirection only works
> for URLs ending in .html right now…
> 

IMHO the next step could be my above patch which packages
ngx_http_accept_language_module.  I do not yet know how to redirect
index files in nginx though.  Long-term, nginx modules should get
their own build system though, I suppose.

Regards,
Florian